View Single Post
Old 01-24-2015, 01:20 PM   #37
rkomar
Wizard
rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.rkomar ought to be getting tired of karma fortunes by now.
 
Posts: 2,541
Karma: 9059992
Join Date: Oct 2010
Location: Vancouver, BC, Canada
Device: PRS-505, PB 902, PRS-T1, PB 623, PB 840
Quote:
Originally Posted by chrox View Post
GLIBC problem is handled properly now in Koreader with the latest SDK from PocketBook. We managed to compile all Koreader libraries targeting GLIBC_2.4. And almost all dependencies like libpng, libjpeg, libtiff, libgif, libfreetype are self-contained in Koreader distribution so Koreader won't be affected by the library versions provided by the system. If PocketBook provides a sane framebuffer configuration Koreader can also run on rather old device/firmware while building with latest SDK.
The older SDK targets two architectures: arm-linux and arm-none-linux-gnueabi. arm-linux is for the old 3XX devices, and is binary incompatible with the newer EABI ones. You cannot run code compiled for one system on the other (with the exception of the 360+, which had compatibility libraries for the old arm-linux binaries).

Anyway, it sounds like you don't want to be bothered compiling for pre-version 5 devices, so I won't say any more about it.
rkomar is offline   Reply With Quote